package com.banesco.common.domain.dto.bian.device;



public class Device {
    String deviceType;
    String deviceDescription;
    String deviceIp;
    String deviceSessionReference;

    public Device() {

    }

    public Device(String deviceType, String deviceDescription, String deviceIp, String deviceSessionReference) {
        this.deviceType = deviceType;
        this.deviceDescription = deviceDescription;
        this.deviceIp = deviceIp;
        this.deviceSessionReference = deviceSessionReference;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public String getDeviceDescription() {
        return deviceDescription;
    }

    public void setDeviceDescription(String deviceDescription) {
        this.deviceDescription = deviceDescription;
    }

    public String getDeviceIp() {
        return deviceIp;
    }

    public void setDeviceIp(String deviceIp) {
        this.deviceIp = deviceIp;
    }

    public String getDeviceSessionReference() {
        return deviceSessionReference;
    }

    public void setDeviceSessionReference(String deviceSessionReference) {
        this.deviceSessionReference = deviceSessionReference;
    }

    public String toString() {
        return "{\"deviceType\":\"%s\",\"deviceDescription\":\"%s\",\"deviceIp\":\"%s\",\"deviceSessionReference\":\"%s\"}"
                .formatted(deviceType, deviceDescription, deviceIp, deviceSessionReference);
    }

}
